local function WaitForMouseToGoAway(self)
	if not self:IsMouseOver() then
	self:SetScript("OnUpdate", nil)
	self:SetAlpha(0)
	end
end

CompactRaidFrameManager:HookScript("OnEnter", function(self)
	self:SetScript("OnUpdate", nil)
	self:SetAlpha(1)
end)

CompactRaidFrameManager:HookScript("OnLeave", function(self)
	if self.collapsed then
	self:SetScript("OnUpdate", WaitForMouseToGoAway)
	end
end)

local function CheckMouseOver(self)
	if self:IsMouseOver() and not self.collapsed then
	self:GetScript("OnEnter")(self)
	else
	self:GetScript("OnLeave")(self)
	end
end

hooksecurefunc("CompactRaidFrameManager_Collapse", CheckMouseOver)
hooksecurefunc("CompactRaidFrameManager_Expand", CheckMouseOver)

CompactRaidFrameManager:HookScript("OnShow", CheckMouseOver)

CompactRaidFrameContainer:HookScript("OnEvent", function(self)
	self:SetParent(UIParent)
end)