local pframe = CreateFrame("Frame", "DejapFrame")
pframe:SetFrameStrata("BACKGROUND")
pframe:SetWidth(372)
pframe:SetHeight(26)
pframe:SetPoint("CENTER", UIParent, "BOTTOM", 0, 16)
pframe:Show()

-- Register the events to listen for:
pframe:RegisterEvent("PLAYER_LOGIN")
pframe:RegisterEvent("PLAYER_ENTERING_WORLD")
pframe:RegisterEvent("ADDON_LOADED")
pframe:RegisterEvent("PET_BATTLE_OVER")
pframe:RegisterEvent("PLAYER_REGEN_DISABLED")
pframe:RegisterEvent("PLAYER_REGEN_ENABLED")

pframe:SetScript("OnEvent", function(self, event, ...)


--Move Player/Target/Focus Icons
	PlayerLeaderIcon:SetPoint("TOPLEFT",90,-35);
  	PlayerMasterIcon:SetPoint("TOPLEFT",90,-50);
  	PlayerFrameGroupIndicator:SetPoint("BOTTOMLEFT", PlayerFrame, "TOPLEFT", 97, -40);
	PlayerRestIcon:ClearAllPoints()
   	PlayerRestIcon:SetPoint("RIGHT", PlayerFrame, "RIGHT", 25, 0)
	PlayerPVPIcon:ClearAllPoints()
   	PlayerPVPIcon:SetPoint("LEFT", PlayerFrame, "LEFT", 55, -15)

	TargetFrameTextureFramePVPIcon:ClearAllPoints()
	TargetFrameTextureFramePVPIcon:SetPoint("RIGHT", TargetFrame, "RIGHT", -35, -15)
	TargetFrameTextureFrameLeaderIcon:ClearAllPoints()
	TargetFrameTextureFrameLeaderIcon:SetPoint("RIGHT", TargetFrame, "RIGHT", -90, 7)
	TargetFrameTextureFrameLevelText:ClearAllPoints()
	TargetFrameTextureFrameLevelText:SetPoint("LEFT", TargetFrame, "LEFT", 0, 25)
	TargetFrameTextureFrameRaidTargetIcon:ClearAllPoints()
	TargetFrameTextureFrameRaidTargetIcon:SetPoint("RIGHT", TargetFrame, "RIGHT", -65, 30)

	
	FocusFrameTextureFramePVPIcon:ClearAllPoints()
	FocusFrameTextureFramePVPIcon:SetPoint("RIGHT", FocusFrame, "RIGHT", -35, -15)
	FocusFrameTextureFrameLeaderIcon:ClearAllPoints()
	FocusFrameTextureFrameLeaderIcon:SetPoint("RIGHT", FocusFrame, "RIGHT", -90, 7)
	FocusFrameTextureFrameLevelText:ClearAllPoints()
	FocusFrameTextureFrameLevelText:SetPoint("LEFT", FocusFrame, "LEFT", 0, 25)
	FocusFrameTextureFrameRaidTargetIcon:ClearAllPoints()
	FocusFrameTextureFrameRaidTargetIcon:SetPoint("RIGHT", FocusFrame, "RIGHT", -65, 30)
	




--Player Frame Combat Fade
PlayerFrame:SetAlpha(0.25)
RuneFrame:SetAlpha(0.25)

	if event == "PLAYER_REGEN_DISABLED" then
		PlayerFrame:SetAlpha(1)
		RuneFrame:SetAlpha(1)
	elseif event == "PLAYER_REGEN_ENABLED" then
		PlayerFrame:SetAlpha(0.25)
		RuneFrame:SetAlpha(0.25)
	end
end)



--Move Debuffs
hooksecurefunc("TargetFrame_UpdateBuffAnchor", function()
	if TargetFrameBuff1 then
		TargetFrameBuff1:ClearAllPoints()
		TargetFrameBuff1:SetPoint("CENTER", UIParent, -53, -75)
	end
end)

hooksecurefunc("TargetFrame_UpdateDebuffAnchor", function()
	if TargetFrameDebuff1 then
		TargetFrameDebuff1:ClearAllPoints()
		TargetFrameDebuff1:SetPoint("CENTER", UIParent, -53, -125)
	end
end)

local noop = function() return end

for _, objname in ipairs({
	"PlayerAttackBackground",
	"PlayerAttackGlow",
	"PlayerFrameBackground",
	"PlayerFrameFlash",
	"PlayerFrameTexture",
	"PlayerHitIndicator",
	"PlayerLevelText",
	"PlayerName",
	"PlayerPortrait",
	"PlayerRestGlow",
	"PlayerStatusGlow",
	"PlayerStatusTexture",

	"TargetFrameBackground",
	"TargetFrameFlash",
	"TargetFrameNameBackground",
	"TargetFramePortrait",
	"TargetFrameTextureFrameTexture",

	"FocusFrameBackground",
	"FocusFrameFlash",
	"FocusFrameNameBackground",
	"FocusFramePortrait",
	"FocusFrameTextureFrameTexture",

	"PetAttackModeTexture",
	"PetFrameFlash",
	"PetFrameTexture",
	"PetHitIndicator",
	"PetName",
	"PetPortrait",
}) do
	local obj = _G[objname]
	if obj then
		obj:Hide()
		obj.Show = noop
	end
end