--Register Events
local xp = CreateFrame("Frame", "DejaXPFrame")
xp:RegisterEvent("PLAYER_LOGIN")
xp:RegisterEvent("PLAYER_ENTERING_WORLD")
xp:RegisterEvent("ADDON_LOADED")
xp:RegisterEvent("PET_BATTLE_OVER")
xp:RegisterEvent("PLAYER_XP_UPDATE")
xp:RegisterEvent("UPDATE_EXHAUSTION")
xp:RegisterEvent("PLAYER_LEVEL_UP")
xp:RegisterEvent("PLAYER_UPDATE_RESTING")
xp:RegisterEvent("UPDATE_FACTION")
xp:RegisterEvent("UPDATE_SHAPESHIFT_FORM")
xp:RegisterEvent("UPDATE_SHAPESHIFT_FORMS")
xp:RegisterEvent("UPDATE_STEALTH")
xp:RegisterEvent("UPDATE_BONUS_ACTIONBAR")


--Hide Frames
local function eventHandler(self, event, ...)

		ExhaustionLevelFillBar:Hide()
		MainMenuXPBarTextureLeftCap:Hide()
		MainMenuXPBarTextureRightCap:Hide()
		MainMenuXPBarTextureMid:Hide()
		
		MainMenuBarMaxLevelBar:Hide()

		MainMenuMaxLevelBar0:Hide()
		MainMenuMaxLevelBar1:Hide()
		MainMenuMaxLevelBar2:Hide()
		MainMenuMaxLevelBar3:Hide()
		
		ExhaustionTick:Hide()
		ExhaustionTickNormal:Hide()
		ExhaustionTickHighlight:Hide()		

		ReputationWatchBarTexture0:Hide()
		ReputationWatchBarTexture1:Hide()
		ReputationWatchBarTexture2:Hide()
		ReputationWatchBarTexture3:Hide()
		ReputationXPBarTexture0:Hide()
		ReputationXPBarTexture1:Hide()
		ReputationXPBarTexture2:Hide()
		ReputationXPBarTexture3:Hide()

		SpellActivationOverlayFrame:Hide()
		
		MainMenuExpBar:SetAlpha(0)
		ReputationWatchBar:SetAlpha(0)
		ReputationWatchStatusBar:SetAlpha(0)



--Phanx's Hide XP Bar Art
for i = 1, 19 do
    local texture = _G["MainMenuXPBarDiv"..i]
    if texture then
        texture:Hide()
    end
end

local W = (UIParent:GetWidth())

--Move XP/Rep Bars
MainMenuExpBar:ClearAllPoints()
MainMenuExpBar:SetPoint("CENTER", ReputationWatchBar, "CENTER", 0, -20)
MainMenuExpBar:SetWidth(1280)
MainMenuExpBar:SetHeight(20)

ReputationWatchBar:ClearAllPoints()
ReputationWatchBar:SetPoint("TOP", UIParent, "TOP", 0, 0)
ReputationWatchBar:SetWidth(1280)
ReputationWatchBar:SetHeight(20)

ReputationWatchStatusBar:SetWidth(1280)
ReputationWatchStatusBar:SetHeight(20)

--XP/Rep Bars Mousover
ReputationWatchBar:SetScript("OnEnter", function()
	MainMenuExpBar:SetAlpha(1)
	ReputationWatchBar:SetAlpha(1)
	ReputationWatchStatusBar:SetAlpha(1)

end)
ReputationWatchBar:SetScript("OnLeave", function()
	MainMenuExpBar:SetAlpha(0)
	ReputationWatchBar:SetAlpha(0)
	ReputationWatchStatusBar:SetAlpha(0)

end)

MainMenuExpBar:SetScript("OnEnter", function()
	MainMenuExpBar:SetAlpha(1)
	ReputationWatchBar:SetAlpha(1)
	ReputationWatchStatusBar:SetAlpha(1)

end)
MainMenuExpBar:SetScript("OnLeave", function()
	MainMenuExpBar:SetAlpha(0)
	ReputationWatchBar:SetAlpha(0)
	ReputationWatchStatusBar:SetAlpha(0)

end)


--End Event Registration
end
xp:SetScript("OnEvent",eventHandler)



