--Register Events
local de = CreateFrame("Frame", "DejaErrorFrame")

de:RegisterEvent("PLAYER_LOGIN")
de:RegisterEvent("PLAYER_ENTERING_WORLD")
de:RegisterEvent("ADDON_LOADED")
de:RegisterEvent("PET_BATTLE_OVER")

--Hide Frames
de:SetScript("OnEvent", function(self, event, ...)
	if InCombatLockdown() then return end

		UIErrorsFrame:Hide()

SlashCmdList['RELOADUI'] = function() ReloadUI() end
SLASH_RELOADUI1 = '/rl'

SlashCmdList["READYCHECK"] = function() DoReadyCheck() end
SLASH_READYCHECK1 = '/rc'

SlashCmdList["CHECKROLE"] = function() InitiateRolePoll() end
SLASH_CHECKROLE1 = '/cr'

hooksecurefunc("GameTooltip_SetDefaultAnchor", function (tooltip, parent)
	tooltip:SetOwner(parent, "ANCHOR_NONE");
	tooltip:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT", 0, 150);
end)

end)

--Sell Junk
local g = CreateFrame("Frame")
g:RegisterEvent("MERCHANT_SHOW")

g:SetScript("OnEvent", function()  
        local bag, slot
        for bag = 0, 4 do
                for slot = 0, GetContainerNumSlots(bag) do
                        local link = GetContainerItemLink(bag, slot)
                        if link and (select(3, GetItemInfo(link)) == 0) then
                                UseContainerItem(bag, slot)
                        end
                end
        end
if(CanMerchantRepair()) then
		local cost = GetRepairAllCost()
		if cost>0 and CanGuildBankRepair() then
			if GetGuildBankWithdrawMoney() > cost then
				RepairAllItems(1)
				print(format("|cfff07100Repair costs covered by Guild Bank: %.2fg|r", cost * 0.0001))
			else
				print("Insufficient Guild Bank funds to cover repair costs.")
			end
		elseif(cost>0 and GetMoney()>cost) then
			RepairAllItems()
			print(format("|cffead000Repair cost: %.2fg|r", cost * 0.0001))
		elseif(GetMoney()<cost) then
			 print("Insufficient funds to cover repair costs.")
		end
	end
end)

--Choonster's Spell Off Cursor Button
local b = CreateFrame("Button", "SpellStopTargetingButton", UIParent, "SecureActionButtonTemplate")
b:SetAttribute("type", "stop")